[Setup] Re: Product Five Problem after Upgrade

Nick Davis nd51 at leicester.ac.uk
Fri Jul 11 15:31:19 UTC 2008


Hilde T Lauvset Rafaelsen wrote:
> Hi,
>  
> We have run Plone 2.5.3 and zope 2.9.8 on fedora6 for a long time, but
> finaly we decided to upgrade to a newer version. Before I did the upgrade I
> copied the database, the Products catalog, httpd.conf, and zope.conf to a
> new server with the exact same version of plone, python, zope and apache.
> This went fine.
>  

> If I delete the Five catalog from Products I manage to start Zope. Zope seem
> to work fine, but when I want to view my plone site I got a lot of errors. I
> also got a lot of errors and warnings when i run zopectl debug.
>  
>  
> And does anybody know if it will work to just copy the database and not the
> Product catalog from plone 2.5 to a newer plone version? 
>  

Hi,
   What do you mean by Five "catalog" and Product "catalog" ?  Did you 
mean to say "directory" instead of "catalog" ?

   The best thing to do is compare the list of directories in the 2.5 
Products directory, with the list in the Products directory of a fresh 
3.0 instance. This enables you to check which additional 3rd-party 
products you have added to the 2.5 site. For most of these products, you 
will then need to download a new 3.0-compatible version from plone.org 
and copy that into the Products directory of your new 3.0 site.

Regards,
Nick

-- 
Nick Davis
Web Application Developer
University of Leicester
http://www2.le.ac.uk




More information about the Setup mailing list